package com.ym.mec.thirdparty.adapay.entity;

import java.io.File;

/**
 * 企业用户对象
 */
public class EnterpriseUser {

	/**
	 * 商户下的用户id，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
	 */
	private String memberId;

	/**
	 * 企业名称
	 */
	private String name;

	/**
	 * 省份编码
	 */
	private String provCode;

	/**
	 * 地区编码 
	 */
	private String areaCode;

	/**
	 * 统一社会信用码
	 */
	private String socialCreditCode;

	/**
	 * 统一社会信用证有效期
	 */
	private String socialCreditCodeExpires;

	/**
	 * 经营范围
	 */
	private String businessScope;

	/**
	 * 法人姓名
	 */
	private String legalPerson;

	/**
	 * 法人身份证号码
	 */
	private String legalCertId;

	/**
	 * 法人身份证有效期
	 */
	private String legalCertIdExpires;

	/**
	 * 法人手机号
	 */
	private String legalMp;

	/**
	 * 企业地址
	 */
	private String address;

	/**
	 * 上传附件，传入的中文文件名称为 UTF-8 字符集 URLEncode 编码后的字符串。
	 * 内容须包含三证合一证件照、法人身份证正面照、法人身份证反面照、开户银行许可证照。 压缩 zip包后上传，最大限制为 9 M。
	 */
	private File attachFile;

	/**
	 * 银行代码，如果需要自动开结算账户，本字段必填
	 */
	private String bankCode;

	/**
	 * 银行账户类型：1-对公；2-对私，如果需要自动开结算账户，本字段必填
	 */
	private String bankAcctType;

	/**
	 * 银行卡号，如果需要自动开结算账户，本字段必填
	 */
	private String cardNo;

	/**
	 * 银行卡对应的户名，如果需要自动开结算账户，本字段必填；若银行账户类型是对公，必须与企业名称一致
	 */
	private String cardName;

	/**
	 * 异步通知地址，url为http/https路径，服务器POST回调，URL 上请勿附带参数
	 */
	private String notifyUrl;

    private String zipCode;

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getProvCode() {
		return provCode;
	}

	public void setProvCode(String provCode) {
		this.provCode = provCode;
	}

	public String getAreaCode() {
		return areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	public String getSocialCreditCode() {
		return socialCreditCode;
	}

	public void setSocialCreditCode(String socialCreditCode) {
		this.socialCreditCode = socialCreditCode;
	}

	public String getSocialCreditCodeExpires() {
		return socialCreditCodeExpires;
	}

	public void setSocialCreditCodeExpires(String socialCreditCodeExpires) {
		this.socialCreditCodeExpires = socialCreditCodeExpires;
	}

	public String getBusinessScope() {
		return businessScope;
	}

	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getLegalCertId() {
		return legalCertId;
	}

	public void setLegalCertId(String legalCertId) {
		this.legalCertId = legalCertId;
	}

	public String getLegalCertIdExpires() {
		return legalCertIdExpires;
	}

	public void setLegalCertIdExpires(String legalCertIdExpires) {
		this.legalCertIdExpires = legalCertIdExpires;
	}

	public String getLegalMp() {
		return legalMp;
	}

	public void setLegalMp(String legalMp) {
		this.legalMp = legalMp;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public File getAttachFile() {
		return attachFile;
	}

	public void setAttachFile(File attachFile) {
		this.attachFile = attachFile;
	}

	public String getBankCode() {
		return bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getBankAcctType() {
		return bankAcctType;
	}

	public void setBankAcctType(String bankAcctType) {
		this.bankAcctType = bankAcctType;
	}

	public String getCardNo() {
		return cardNo;
	}

	public void setCardNo(String cardNo) {
		this.cardNo = cardNo;
	}

	public String getCardName() {
		return cardName;
	}

	public void setCardName(String cardName) {
		this.cardName = cardName;
	}

	public String getNotifyUrl() {
		return notifyUrl;
	}

	public void setNotifyUrl(String notifyUrl) {
		this.notifyUrl = notifyUrl;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
}
